UbixOS V2 2.0

Functions
io.c File Reference
`#include <sys/io.h>`
Include dependency graph for io.c:

Go to the source code of this file.

## Functions
unsigned char | inportByte (unsigned int port)
| input one byte from specified port More...
unsigned long | inportDWord (unsigned int port)
| input one double word from specified port More...
unsigned short | inportWord (unsigned int port)
| input one word from specified port More...
void | outportByte (unsigned int port, unsigned char value)
| outputut one byte to specified port More...
void | outportByteP (unsigned int port, unsigned char value)
| outputut one byte to specified port with a delay More...
void | outportDWord (unsigned int port, unsigned long value)
| outputut one double word to specified port More...
void | outportWord (unsigned int port, unsigned short value)
| outputut one word to specified port More...

## Function Documentation

## ◆ inportByte()

unsigned char inportByte | ( | unsigned int | port | ) |

input one byte from specified port

Parameters

  port | address of port for reading

Returns
  returns unsigned char value

Definition at line 38 of file io.c.

Referenced by backSpace(), countMemory(), fdcRw(), getByte(), hdInit(), hdRead(), hdWrite(), initLNC(), irqDisable(), irqEnable(), kprint(), pciRead(), PCtoNIC(), sendByte(), setLED(), and systemTask().

## ◆ inportDWord()

unsigned long inportDWord | ( | unsigned int | port | ) |

input one double word from specified port

Parameters

  port | address of port for reading

Returns
  returns unsigned double word value

Definition at line 133 of file io.c.

Referenced by lnc_readBCR32(), lnc_readCSR32(), lnc_reset32(), lnc_switchDWord(), and pciRead().

## ◆ inportWord()

unsigned short inportWord | ( | unsigned int | port | ) |

input one word from specified port

Parameters

  port | address of port for reading

Returns
  returns unsigned short value

Definition at line 55 of file io.c.

Referenced by hdInit(), hdRead(), lanceProbe(), lnc_readBCR(), lnc_readCSR(), lnc_reset(), lnc_switchDWord(), lncInt(), NICtoPC(), and pciRead().

## ◆ outportByte()

void outportByte | ( | unsigned int | port,
|  | unsigned char | value
| ) |  |

outputut one byte to specified port

Parameters

  port | address of port for writing
  value | byte to output to port

Definition at line 72 of file io.c.

Referenced by _dmaXfer(), backSpace(), countMemory(), hdInit(), hdRead(), hdWrite(), i8259_init(), irqDisable(), irqEnable(), kprint(), lncInt(), mouseHandler(), NICtoPC(), ogDisplay_UbixOS::ogSetPalette(), pciWrite(), PCtoNIC(), pit_init(), reset(), sendByte(), setLED(), ogDisplay_UbixOS::SetPal(), and systemTask().

## ◆ outportByteP()

void outportByteP | ( | unsigned int | port,
|  | unsigned char | value
| ) |  |

outputut one byte to specified port with a delay

Parameters

  port | address of port for writing
  value | byte to output to port

Definition at line 87 of file io.c.

Referenced by PCtoNIC(), and pit_init().

## ◆ outportDWord()

void outportDWord | ( | unsigned int | port,
|  | unsigned long | value
| ) |  |

outputut one double word to specified port

Parameters

  port | address of port for writing
  value | double word to output to port

Definition at line 118 of file io.c.

Referenced by lnc_readBCR32(), lnc_readCSR32(), lnc_switchDWord(), lnc_writeBCR32(), lnc_writeCSR32(), pciRead(), and pciWrite().

## ◆ outportWord()

void outportWord | ( | unsigned int | port,
|  | unsigned short | value
| ) |  |

outputut one word to specified port

Parameters

  port | address of port for writing
  value | word to output to port

Definition at line 103 of file io.c.

Referenced by hdWrite(), lnc_readBCR(), lnc_readCSR(), lnc_writeBCR(), lnc_writeCSR(), lncInt(), pciWrite(), and PCtoNIC().